package haskell.prelude;

import haskell.lang.Exp;

public abstract class AbstractReal<A extends AbstractReal<A>>
        extends AbstractNum<A>
        implements Real<A> {

    protected AbstractReal(final java.lang.String name) {
        super(name);
    }

    protected AbstractReal(
            final java.lang.String name,
            final Internal internal) {
        super(name, internal);
    }

    protected AbstractReal(final Exp<A> expression) {
        super(expression);
    }

}
